% Script to compute the abscissa of the scrolling picture (translate effect)
% Lionel Cordesses, May 25th, 2010.
%
close all; clear
% name of the sequence
myFilename="tst_%03d.png";
% index of the first picture to process
iMin=8;
% last picture to process
iMax=120;
tI=zeros(1,iMax);

i=iMin;
while (i<=iMax)
	myName=sprintf(myFilename,i);	
	myI=imread(myName);
	myLine=myI(10,:);
	myLineReversed=fliplr(myLine);
	iW=min(find(myLineReversed>0));
	iW=size(myI,2)-iW; % return 0 for the leftmost pixel, one for the one on the right of the leftmost pixel.
	tI(i)=iW;
	i=i+1;
	if (mod(i,10)==0)
		disp(i);
	end
end

it=iMin:iMax;

figure(1)
plot(it,tI(it),'o-','LineWidth',2);
xlabel('index of picture')
ylabel('abscissa of last white pixel');
grid on

figure(2)
% derivative
d=diff(tI(it));
plot(it(2:end),d,'o-','LineWidth',2);
xlabel('index of picture')
ylabel('dx/d index');
grid on

print('derivative.png','-dpng','-S800,600');

for i=1:length(d)
	fprintf(1,'%d, ',d(i));
end
fprintf(1,'\n');


